POST api/ShoppingCart/AddProductStock

Request Information

URI Parameters

None.

Body Parameters

Collection of AddStockProduct
NameDescriptionTypeAdditional information
ProductId

integer

None.

TagId

integer

None.

SizeId

integer

None.

ColorId

integer

None.

StockId

integer

None.

Quantity

integer

None.

IsOnlySet

boolean

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "productId": 1,
    "tagId": 2,
    "sizeId": 1,
    "colorId": 3,
    "stockId": 4,
    "quantity": 5,
    "isOnlySet": true
  },
  {
    "productId": 1,
    "tagId": 2,
    "sizeId": 1,
    "colorId": 3,
    "stockId": 4,
    "quantity": 5,
    "isOnlySet": true
  }
]

application/xml, text/xml

Sample:
<ArrayOfAddStockProduct xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels">
  <AddStockProduct>
    <ColorId>3</ColorId>
    <IsOnlySet>true</IsOnlySet>
    <ProductId>1</ProductId>
    <Quantity>5</Quantity>
    <SizeId>1</SizeId>
    <StockId>4</StockId>
    <TagId>2</TagId>
  </AddStockProduct>
  <AddStockProduct>
    <ColorId>3</ColorId>
    <IsOnlySet>true</IsOnlySet>
    <ProductId>1</ProductId>
    <Quantity>5</Quantity>
    <SizeId>1</SizeId>
    <StockId>4</StockId>
    <TagId>2</TagId>
  </AddStockProduct>
</ArrayOfAddStockProduct>

multipart/form-data

Sample:
<ArrayOfAddStockProduct xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><AddStockProduct><ColorId>3</ColorId><IsOnlySet>true</IsOnlySet><ProductId>1</ProductId><Quantity>5</Quantity><SizeId>1</SizeId><StockId>4</StockId><TagId>2</TagId></AddStockProduct><AddStockProduct><ColorId>3</ColorId><IsOnlySet>true</IsOnlySet><ProductId>1</ProductId><Quantity>5</Quantity><SizeId>1</SizeId><StockId>4</StockId><TagId>2</TagId></AddStockProduct></ArrayOfAddStockProduct>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml, multipart/form-data

Sample:

Sample not available.